连接hive数据库报错:Required field ‘serverProtocolVersion‘ is unset!

19
五月
2021

连接hive数据库报错:Required field ‘serverProtocolVersion’ is unset!

完整报错如下所示:
Required field ‘serverProtocolVersion’ is unset!
User: root is not allowed to impersonate anonymous

解决方法:
hadoop的core-site.xml中添加如下配置:

vim /moudle/hadoop-3.3.0/etc/hadoop/core-site.xml
<property>
      <name>hadoop.proxyuser.root.groups</name>
      
TAG

网友评论

共有访客发表了评论
请登录后再发布评论,和谐社会,请文明发言,谢谢合作! 立即登录 注册会员